Skip to main content

Standard Public Cloud Co - Create

The Create operation requires a JSON body, but the Swagger does not mark individual body properties as required. The lookup calls below help you find Azure values for that body; the Swagger does not require that you retrieve a technical VPN ID before creating a connector.

1. Retrieve Azure Credentials Id​

GET https://ope-obs.apibackbone.orange.com/evolutionplatform/azure/api/v1/projects/{projectId}/azure/credentials?limit=20&offset=0

URI Parameters​

NameInRequiredTypeDescription
projectIdpathtruestringThe project identifier which uniquely identify your project in Evolution Platform.
limitqueryfalseintegerThe limit query parameter specifies the number of resources that a single response page contains.
offsetqueryfalseintegerThe offset query parameter is used to exclude from a response the first N items of a resource collection.

Responses​

NameTypeDescription
200 OKCredentialsSuccessful operation
Other Status CodesError responseError response describing why the operation failed.

Response body example​

[
{
"id": "b1c3d7b8-f249-4a25-9f26-02682bbad4f3",
"projectId": "{projectId}",
"name": "Azure_Credential_1",
"csp": "AZURE",
"description": "My Azure credentials 1",
"projectName": "MyAzureProjectName 1",
"expirationDate": "YYYY-MM-DD"
},
{
"id": "a2b3d7b8-f249-4a25-9f26-02682bbad4f3",
"projectId": "{projectId}",
"name": "Azure_Credential_2",
"csp": "AZURE",
"description": "My Azure credentials 2",
"projectName": "MyAzureProjectName 2",
"expirationDate": "YYYY-MM-DD"
}
]

{azureCredentialId} is associated to one of the "id" field inside list of the Azure Credential of the response.

Example : {azureCredentialId} = "b1c3d7b8-f249-4a25-9f26-02682bbad4f3"

2. Retrieve the Azure Region​

GET https://ope-obs.apibackbone.orange.com/evolutionplatform/azure/api/v1/projects/{projectId}/azure/regions?azureCspCredentialId={azureCredentialId}

URI Parameters​

NameInRequiredTypeDescription
projectIdpathtruestringThe project identifier which uniquely identify your project in Evolution Platform.
azureCredentialIdquerytruestringThe Azure Credential Identifier which uniquely identify your credentials in Evolution Platform.

Responses​

NameTypeDescription
200 OKRegionSuccessful operation
Other Status CodesError responseError response describing why the operation failed.

Response body example​

[
{
"name": "asia",
"displayName": "Asia"
},
{
"name": "asiapacific",
"displayName": "Asia Pacific"
},
{
"name": "australia",
"displayName": "Australia"
},
{
"name": "australiacentral",
"displayName": "Australia Central"
},
{
"name": "northeurope",
"displayName": "North Europe"
},

...

]

The value of the name field in the Azure Region list of the response is linked to the {azureRegion}.

Example : {azureRegion} = "northeurope"

3. Retrieve the Azure resource group​

GET https://ope-obs.apibackbone.orange.com/evolutionplatform/azure/api/v1/projects/{projectId}/azure/resourcegroups?azureCspCredentialId={azureCredentialId}&azureRegion={azureRegion}

URI Parameters​

NameInRequiredTypeDescription
projectIdpathtruestringThe project identifier which uniquely identify your project in Evolution Platform.
azureCredentialIdquerytruestringThe Azure Credential Identifier which uniquely identify your credentials in Evolution Platform.
azureRegionquerytruestringThe Azure Region Identifier which uniquely identify the Azure Region in Evolution Platform and was retrieved in a previous step.

Responses​

NameTypeDescription
200 OKResource GroupSuccessful operation
Other Status CodesError responseError response describing why the operation failed.

Response body example​

[
{
"name": "rg-1",
"location": "northeurope"
},
{
"name": "rg-2",
"location": "northeurope"
},
{
"name": "rg-3",
"location": "northeurope"
},
{
"name": "rg-4",
"location": "northeurope"
}
]

The value of the name field in the Azure Resource Group list of the response is linked to the {azureResourceGroup}.

Example : {azureResourceGroup} = "rg-3"

4. Retrieve the Azure Virtual Network​

GET https://ope-obs.apibackbone.orange.com/evolutionplatform/azure/api/v1/projects/{projectId}/azure/vnets?azureCspCredentialId={azureCredentialId}&azureResourceGroup={azureResourceGroup}

This Azure CC endpoint requires the credential ID and resource group name as query parameters. It returns VNet records; use the name of the selected virtual network as vnetName in the connector request.

5. Retrieve Azure locations​

GET https://ope-obs.apibackbone.orange.com/evolutionplatform/azure/api/v1/projects/{projectId}/azure/locations?azureCspCredentialId={azureCredentialId}

The Swagger requires projectId and azureCspCredentialId and defines the success response as an array of strings. Use a location returned by this endpoint for primaryPopLocalization; the Swagger does not include example location values.

6. Create the cloud connector​

POST https://ope-obs.apibackbone.orange.com/evolutionplatform/azure/api/v1/projects/{projectId}/azure/cloudconnectors/publicstandarddynamics

URI Parameters​

NameInRequiredTypeDescription
projectIdpathtruestringThe project identifier which uniquely identify your project in Evolution Platform.

Request Body​

NameRequiredTypeDescription
namefalsestringCloud connector name.
statefalsestringCloud connector state. Allowed values: DESIGNING, DESIGNED, BOOKING, RESERVED, PROVISIONING, ACTIVE, STOPPING, SUSPENDING, INACTIVE, REPAIRING, TERMINATED, ERROR.
technicalVpnIdfalsestring (UUID)Identifier of the network connector.
azureCredentialIdfalsestring (UUID)Identifier of the Azure credential used to manage the connector in Azure.
customerPurchaseOrderNumberfalsestringCustomer purchase order number.
externalBillingReffalsestringExternal billing reference.
bandwidthfalseinteger (int32)Cloud connector bandwidth.
maxBandwidthfalseinteger (int32)Maximum cloud connector bandwidth.
primaryPopLocalizationfalsestringPrimary point-of-presence localization.
azureRegionfalsestringAzure region.
resourceGroupNamefalsestringAzure resource group name.
vnetNamefalsestringVirtual network name.
azureGatewaySubnetfalsestringAzure gateway subnet.
azureAsnfalseinteger (int64)Azure autonomous system number.
networkSideAsnfalseinteger (int64)Network-side autonomous system number.
networkSideGatewaySubnetfalsestringNetwork-side gateway subnet.

Responses​

NameTypeDescription
201 CreatedCloud connectorCreate successful. The operation returns the resulting resource.
Other Status CodesError responseError response describing why the operation failed.

Response content​

NameTypeDescription
idstring (UUID)Cloud connector identifier.
namestringCloud connector name.
statestringConnector state: DESIGNING, DESIGNED, BOOKING, RESERVED, PROVISIONING, ACTIVE, STOPPING, SUSPENDING, INACTIVE, REPAIRING, TERMINATED, or ERROR.
projectIdstring (UUID)Identifier of the owning project.
bandwidthinteger (int32)Cloud connector bandwidth.
maxBandwidthinteger (int32)Maximum cloud connector bandwidth.
technicalVpnIdstring (UUID)Associated network connector identifier.
azureCredentialIdstring (UUID)Azure credential identifier.
azureRegionstringAzure region.
resourceGroupNamestringAzure resource group name.
workflowExecutionIdstring (UUID)Most recent workflow execution identifier.
workflowExecutionStatusstringWorkflow status: CREATED, IN_PROGRESS, SUCCEEDED, FAILED, or CLEARED.
operationalStatusstringOperational status: N/A, Up, Down, or Unknown.
lastTimeOperationalStatusKnownstring (date-time)Time when the operational status was last known.
customerPurchaseOrderNumberstringCustomer purchase order number.
externalBillingRefstringExternal billing reference.
primaryPopLocalizationstringPrimary point-of-presence localization.
vnetNamestringVirtual network name.
azureGatewaySubnetstringAzure gateway subnet.
azureAsninteger (int64)Azure autonomous system number.
networkSideAsninteger (int64)Network-side autonomous system number.
networkSideGatewaySubnetstringNetwork-side gateway subnet.

Security​

Type: HTTP Bearer

Token format: JWT

Header: Authorization: Bearer YOUR_ACCESS_TOKEN

Example : create connector in active mode​

Request​

POST https://ope-obs.apibackbone.orange.com/evolutionplatform/azure/api/v1/projects/{projectId}/azure/cloudconnectors/publicstandarddynamics

{
"name": "Connection to PARIS",
"azureCredentialId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"azureRegion": "northeurope",
"resourceGroupName": "rg-3",
"vnetName": "vnet-02",
"primaryPopLocalization": "YOUR_RETURNED_AZURE_LOCATION",
"bandwidth": 50,
"azureAsn": 64512,
"networkSideAsn": 64513,
"networkSideGatewaySubnet":"59.23.124.12/29",
"azureGatewaySubnet":"69.45.47.145/27",
"state":"ACTIVE"
}

Response​

HTTP 201
Content: application/json

{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Connection to PARIS",
"state": "PROVISIONING",
"projectId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"bandwidth": 50,
"technicalVpnId": "93b22b3c-fd7e-4c04-87cb-52df45fe6beb",
"azureCredentialId": "b1c3d7b8-f249-4a25-9f26-02682bbad4f3",
"primaryPopLocalization": "YOUR_RETURNED_AZURE_LOCATION",
"azureRegion": "northeurope",
"resourceGroupName": "rg-3",
"vnetName": "vnet-02",
"azureGatewaySubnet": "69.45.47.145/27",
"azureAsn": 64512,
"networkSideAsn": 64513,
"networkSideGatewaySubnet": "59.23.124.12/29",
"workflowExecutionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflowExecutionStatus": "CREATED"
}

The response includes the connector state. The Swagger lists the allowed values but does not specify when the state changes during provisioning.

Go to Get tutorial to check the status of the cloud connector:

Example : create connector in designed mode​

Request​

POST https://ope-obs.apibackbone.orange.com/evolutionplatform/azure/api/v1/projects/{projectId}/azure/cloudconnectors/publicstandarddynamics

{
"name": "Connection to PARIS",
"azureCredentialId": "b1c3d7b8-f249-4a25-9f26-02682bbad4f3",
"azureRegion": "northeurope",
"resourceGroupName": "rg-3",
"vnetName": "vnet-02",
"primaryPopLocalization": "YOUR_RETURNED_AZURE_LOCATION",
"bandwidth": 50,
"azureAsn": 64512,
"networkSideAsn": 64513,
"networkSideGatewaySubnet":"59.23.124.12/29",
"azureGatewaySubnet":"69.45.47.145/27",
"state":"DESIGNED"
}

Response​

HTTP 201
Content: application/json

{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Connection to PARIS",
"state": "DESIGNING",
"projectId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"bandwidth": 50,
"technicalVpnId": "93b22b3c-fd7e-4c04-87cb-52df45fe6beb",
"azureCredentialId": "b1c3d7b8-f249-4a25-9f26-02682bbad4f3",
"primaryPopLocalization": "YOUR_RETURNED_AZURE_LOCATION",
"azureRegion": "northeurope",
"resourceGroupName": "rg-3",
"vnetName": "vnet-02",
"azureGatewaySubnet": "69.45.47.145/27",
"azureAsn": 64512,
"networkSideAsn": 64513,
"networkSideGatewaySubnet": "59.23.124.12/29",
"workflowExecutionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflowExecutionStatus": "CREATED"
}

The field state will be DESIGNING during the creation phase, when the cloud connector is ready the state will be DESIGNED.

Go to Get tutorial to check the status of the cloud connector: